This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 53981 - Using PCMCIA eth, yp auto.master NOT used at boot
Using PCMCIA eth, yp auto.master NOT used at boot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-24 17:49 EDT by Per Sjoholm
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-19 15:30:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Per Sjoholm 2001-09-24 17:49:36 EDT
Description of problem:
When booting a toshiba 550 CDT with NIC card on PCMCIA. 
No map for yp is read, No home directory exists.

A /etc/init.d/autofs reload  after  boot does correcltly add the maps from
yp auto.master
The problem is that Network can't start before cardmgr
and there is a delay eth0 initialization. That works OK
ypbind also works.
Autofs does not. Its started  BUT not 'reloaded' after binding to ypserver
 
From boot.log
Sep 21 08:04:28 que network: Setting network parameters:  succeeded
Sep 21 08:04:30 que network: Bringing up interface lo:  succeeded
Sep 21 08:04:30 que ifup: Delaying eth0 initialization.
Sep 21 08:04:30 que network: Bringing up interface eth0:  failed
Sep 21 08:04:33 que pcmcia: Starting PCMCIA services:
Sep 21 08:04:33 que pcmcia:  modules
Sep 21 08:04:41 que pcmcia:  cardmgr.
Sep 21 08:04:41 que rc: Starting pcmcia:  succeeded
Sep 21 08:04:41 que random: Initializing random number generator: 
succeeded
Sep 21 08:04:45 que netfs: Mounting other filesystems:  succeeded
Sep 21 08:04:45 que apmd: apmd startup succeeded
Sep 21 08:04:46 que ypbind: Setting NIS domain name oasen:  succeeded
Sep 21 08:04:46 que ypbind: ypbind startup succeeded
Sep 21 08:04:51 que ypbind: attempting to contact yp server failed
Sep 21 08:04:51 que autofs: autofs startup succeeded
Sep 21 08:04:52 que atd: atd startup succeeded
Sep 21 08:04:52 que sshd: Starting sshd:
Sep 21 08:04:53 que sshd:  succeeded
Sep 21 08:04:53 que sshd:
Sep 21 08:04:53 que rc: Starting sshd:  succeeded
Sep 21 08:04:57 que xinetd: xinetd startup succeeded
Sep 21 08:05:00 que lpd: lpd startup succeeded
Sep 21 08:05:01 que mysqld: Starting MySQL:  succeeded
Sep 21 08:05:05 que sendmail: sendmail startup succeeded
Sep 21 08:05:06 que gpm: gpm startup succeeded
Sep 21 08:05:10 que httpd: httpd startup succeeded
Sep 21 08:05:11 que crond: crond startup succeeded
Sep 21 08:05:13 que xfs: xfs startup succeeded
Sep 21 08:05:13 que anacron: anacron startup succeeded
Sep 21 08:05:16 que linuxconf: Running Linuxconf hooks:  succeeded

/etc/init.d/autofs status
Configured Mount Points:
------------------------
/usr/sbin/automount --timeout 60 /misc file /etc/auto.misc
/usr/sbin/automount --timeout 600 /usr/local/pkg yp auto_pkg
/usr/sbin/automount /home yp auto.home -nobrowse
 
Active Mount Points:
--------------------
/usr/sbin/automount --timeout 60 /misc file /etc/auto.misc



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use laptop with PCMCIA  ethernetcard 
    with working yp and automounted /home/xxxx.
2.  reboot
3.  check  access for automounted filesystem, -> access NOT OK
4.  /etc/init.d/autofs status


Actual Results:   /home/<userid> NOT available

Expected Results:  /home/<userid> available

Additional info:

ETH0 get initialized ok.
ypbind succed bind to domain.

autofs should reread yp auto.master when ypbind succeds, but when delayed
eth0 init.

the same problem may also occur with slow ypservers/network. I.e it can
occur on any machine
not only on laptops with nic-card on pcmcia.
Comment 1 Per Sjoholm 2001-09-24 17:53:16 EDT
I am not sure this is a autofs problem. (Please move the bug to the correct
component.)
Comment 2 Jeffrey Moyer 2004-03-19 15:30:31 EST
autofs should be started after ypbind.  This is fixed in current releases.

Note You need to log in before you can comment on or make changes to this bug.